JAXB v2.2.12-b140109.1041

## javax.xml.bind
Class JAXBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.bind.JAXBException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MarshalException, PropertyException, UnmarshalException, ValidationException

    public class JAXBException

extends Exception

This is the root exception class for all JAXB exceptions.

Since:
  JAXB1.0
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
See Also:
  `JAXBContext`, `Marshaller`, `Unmarshaller`, Serialized Form

Constructor Summary
`JAXBException(String message)` Construct a JAXBException with the specified detail message.
`JAXBException(String message, String errorCode)` Construct a JAXBException with the specified detail message and vendor specific errorCode.
`JAXBException(String message, String errorCode, Throwable exception)` Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.
`JAXBException(String message, Throwable exception)` Construct a JAXBException with the specified detail message and linkedException.
`JAXBException(Throwable exception)` Construct a JAXBException with a linkedException.

Method Summary
`Throwable` `getCause()`
`String` `getErrorCode()` Get the vendor specific error code
`Throwable` `getLinkedException()` Get the linked exception
`void` `printStackTrace()` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
`void` `printStackTrace(PrintStream s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
`void` `printStackTrace(PrintWriter s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.
`void` `setLinkedException(Throwable exception)` Add a linked Exception.
`String` `toString()` Returns a short description of this JAXBException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXBException

    public JAXBException(String message)

  Construct a JAXBException with the specified detail message. The errorCode and linkedException will default to null.

  Parameters:
    `message` - a description of the exception

### JAXBException

    public JAXBException(String message,
                         String errorCode)

  Construct a JAXBException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code

### JAXBException

    public JAXBException(Throwable exception)

  Construct a JAXBException with a linkedException. The detail message and vendor specific errorCode will default to null.

  Parameters:
    `exception` - the linked exception

### JAXBException

    public JAXBException(String message,
                         Throwable exception)

  Construct a JAXBException with the specified detail message and linkedException. The errorCode will default to null.

  Parameters:
    `message` - a description of the exception
    `exception` - the linked exception

### JAXBException

    public JAXBException(String message,
                         String errorCode,
                         Throwable exception)

  Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.

  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code
    `exception` - the linked exception

Method Detail

### getErrorCode

    public String getErrorCode()

  Get the vendor specific error code

  Returns:
    a string specifying the vendor specific error code

### getLinkedException

    public Throwable getLinkedException()

  Get the linked exception

  Returns:
    the linked Exception, null if none exists

### setLinkedException

    public void setLinkedException(Throwable exception)

  Add a linked Exception.

  Parameters:
    `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

### toString

    public String toString()

  Returns a short description of this JAXBException.

  Overrides:
    `toString` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream to use for output

### printStackTrace

    public void printStackTrace()

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintWriter to use for output

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`

JAXB v2.2.12-b140109.1041

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle